diff -Naur docbook-dtd.old/sgml_catalog docbook-dtd.new/sgml_catalog
--- docbook-dtd.old/sgml_catalog	Thu Jan  1 09:00:00 1970
+++ docbook-dtd.new/sgml_catalog	Mon Oct 28 04:15:45 2002
@@ -0,0 +1 @@
+"@PREFIX@/share/sgml/dtd/docbook/catalog"
diff -Naur docbook-dtd.old/xml_catalog docbook-dtd.new/xml_catalog
--- docbook-dtd.old/xml_catalog	Thu Jan  1 09:00:00 1970
+++ docbook-dtd.new/xml_catalog	Tue Nov  5 00:51:55 2002
@@ -0,0 +1,91 @@
+#type orig replace
+#
+"public" \
+	"-//OASIS//DTD DocBook XML V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/docbookx.dtd"
+"rewriteSystem" \
+	"http://www.oasis-open.org/docbook/xml/@VERSIONOASIS@" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@"
+"rewriteURI" \
+	"http://www.oasis-open.org/docbook/xml/@VERSIONOASIS@" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@"
+BEGINFIRSTV4.4
+"rewriteSystem" \
+	"http://docbook.org/xml/@VERSIONOASIS@" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@"
+"rewriteURI" \
+	"http://docbook.org/xml/@VERSIONOASIS@" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@"
+ENDFIRSTV4.4
+"public" \
+	"-//OASIS//DTD DocBook XML CALS Table Model V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/calstblx.dtd"
+BEGINSECONDV4.4
+"public" \
+	"-//OASIS//ELEMENTS DocBook XML HTML Tables V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/htmltblx.mod"
+ENDSECONDV4.4
+"public" \
+	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/soextblx.dtd"
+"public" \
+	"-//OASIS//ELEMENTS DocBook XML Information Pool V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/dbpoolx.mod"
+"public" \
+	"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/dbhierx.mod"
+"public" \
+	"-//OASIS//ENTITIES DocBook XML Additional General Entities V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/dbgenent.mod"
+"public" \
+	"-//OASIS//ENTITIES DocBook XML Notations V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/dbnotnx.mod"
+"public" \
+	"-//OASIS//ENTITIES DocBook XML Character Entities V@VERSIONOASIS@//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/dbcentx.mod"
+#
+"public" \
+	"ISO 8879:1986//ENTITIES Diacritical Marks//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-dia.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-num.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Publishing//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-pub.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES General Technical//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-tech.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Latin 1//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-lat1.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Latin 2//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-lat2.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Greek Letters//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-grk1.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Monotoniko Greek//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-grk2.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Greek Symbols//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-grk3.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-grk4.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amsa.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amsb.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amsc.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amsn.ent"
+"public"\
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amsr.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-amso.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Box and Line Drawing//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-box.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Russian Cyrillic//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-cyr1.ent"
+"public" \
+	"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN" \
+	"file://@PREFIX@/share/xml/dtd/docbookx/@VERSION@/ent/iso-cyr2.ent"
+