diff -Naur groff-1.18.1.1-debian11/Makefile.comm groff-1.18.1.1/Makefile.comm
--- groff-1.18.1.1-debian11/Makefile.comm	Mon Sep 16 08:42:34 2002
+++ groff-1.18.1.1/Makefile.comm	Wed Mar 15 19:57:13 2006
@@ -182,7 +182,7 @@
 	-test -d $(man5dir) || $(mkinstalldirs) $(man5dir)
 	@-pages="$(MAN5)"; \
 	for p in $$pages; do \
-	 target=$(man5dir)/`basename $$p .n`.$(man5ext); \
+	 target=$(man5dir)/$(NAMEPREFIX)`basename $$p .n`.$(man5ext); \
 	 rm -f $$target; \
 	 echo $(INSTALL_DATA) $$p $$target; \
 	 $(INSTALL_DATA) $$p $$target; \
@@ -190,7 +190,7 @@
 	-test -d $(man7dir) || $(mkinstalldirs) $(man7dir)
 	@-pages="$(MAN7)"; \
 	for p in $$pages; do \
-	 target=$(man7dir)/`basename $$p .n`.$(man7ext); \
+	 target=$(man7dir)/$(NAMEPREFIX)`basename $$p .n`.$(man7ext); \
 	 rm -f $$target; \
 	 echo $(INSTALL_DATA) $$p $$target; \
 	 $(INSTALL_DATA) $$p $$target; \
diff -Naur groff-1.18.1.1-debian11/Makefile.in groff-1.18.1.1/Makefile.in
--- groff-1.18.1.1-debian11/Makefile.in	Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/Makefile.in	Wed Mar 15 18:06:01 2006
@@ -91,18 +91,18 @@
 
 # `libdir' says where to install platform-dependent data.
 libdir=@libdir@
-libprogramdir=$(libdir)/groff
+libprogramdir=$(libdir)/jgroff
 
 # `datasubdir' says where to install platform-independent data files.
 datadir=@datadir@
-dataprogramdir=$(datadir)/groff
+dataprogramdir=$(datadir)/jgroff
 datasubdir=$(dataprogramdir)/$(version)$(revision)
 
 # `infodir' says where to install info files.
 infodir=@infodir@
 
 # `docdir' says where to install documentation files.
-docdir=$(datadir)/doc/groff/$(version)$(revision)
+docdir=$(datadir)/doc/jgroff/$(version)$(revision)
 
 # `exampledir' says where to install example files.
 exampledir=$(docdir)/examples
@@ -511,3 +511,3 @@
 
-$(LIBDIRS): FORCE
+$(LIBDIRS): FORCE $(INCDIRS) $(PROGDEPDIRS)
 	@$(ENVSETUP); \
@@ -526,3 +526,3 @@
 
-$(CPROGDIRS): FORCE
+$(CPROGDIRS): FORCE $(LIBDIRS)
 	@$(ENVSETUP); \
@@ -541,3 +541,3 @@
 
-$(CCPROGDIRS): FORCE
+$(CCPROGDIRS): FORCE $(LIBDIRS)
 	@$(ENVSETUP); \
@@ -556,3 +556,3 @@
 
-$(DEVDIRS) $(OTHERDEVDIRS) $(TTYDEVDIRS): FORCE
+$(DEVDIRS) $(OTHERDEVDIRS) $(TTYDEVDIRS): FORCE $(PROGDIRS)
 	@$(ENVSETUP); \
@@ -569,2 +569,3 @@
 
+$(OTHERDIRS): $(PROGDIRS)
 $(INCDIRS) $(OTHERDIRS): FORCE
diff -Naur groff-1.18.1.1-debian11/debian/copyright groff-1.18.1.1/debian/copyright
--- groff-1.18.1.1-debian11/debian/copyright	Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/debian/copyright	Wed Mar 15 18:02:26 2006
@@ -1,3 +1,9 @@
+This is the Fink package of GNU groff. This is derived from Debian's
+groff package and modified for Fink. Some part of this document,
+especially filenames and directories, may not applicable to Fink.
+
+----- Debian's copyright document begins here -----
+
 This is the Debian GNU/Linux prepackaged version of the GNU groff
 document formatting system. 
 GNU groff was written by James Clark <jjc@jclark.com>.  
diff -Naur groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc groff-1.18.1.1/src/libs/libgroff/encoding.cc
--- groff-1.18.1.1-debian11/src/libs/libgroff/encoding.cc	Wed Mar 15 15:29:48 2006
+++ groff-1.18.1.1/src/libs/libgroff/encoding.cc	Thu Mar 16 00:43:18 2006
@@ -145,6 +145,9 @@
   iconv_t icd, ocd;
   const char *encoding_name;
   static iconv_handler *ih_header;
+#ifdef ICONV_CONST
+  typedef ICONV_CONST char **iconv_arg_type;
+#endif
 
 public:
   iconv_handler *next;
@@ -191,7 +196,7 @@
       outbytesleft = sizeof(outbuf);
       inp = inbuf;
       outp = outbuf;
-      size_t r = iconv(icd, &inp, &inbytesleft, &outp, &outbytesleft);
+      size_t r = iconv(icd, const_cast<iconv_arg_type>(&inp), &inbytesleft, &outp, &outbytesleft);
       if (r == (size_t)-1) {
 	if (errno == EILSEQ) {
 	  /* illegal sequence? */
@@ -230,7 +235,7 @@
     outbytesleft = 4;
     inp = inbuf;
     outp = outbuf;
-    size_t r = iconv(ocd, &inp, &inbytesleft, &outp, &outbytesleft);
+    size_t r = iconv(ocd, const_cast<iconv_arg_type>(&inp), &inbytesleft, &outp, &outbytesleft);
     if (r == (size_t)-1) {
       if (errno == EILSEQ) {
 	/* illegal sequence? */;
diff -Naur groff-1.18.1.1-debian11/tmac/docj.tmac groff-1.18.1.1/tmac/docj.tmac
--- groff-1.18.1.1-debian11/tmac/docj.tmac	Wed Mar 15 15:29:49 2006
+++ groff-1.18.1.1/tmac/docj.tmac	Wed Mar 15 18:02:26 2006
@@ -43,7 +43,7 @@
 .\}
 .if \n(.g .ig
 .de sO
-.so /usr/share/tmac/\\$1
+.so @PREFIX@/share/tmac/\\$1
 ..
 .if !\n(.g .ig
 .de sO
diff -Naur groff-1.18.1.1-debian11/configure groff-1.18.1.1/configure
--- groff-1.18.1.1-debian11/configure	2008-04-01 02:33:24.000000000 +0900
+++ groff-1.18.1.1/configure	2008-04-01 04:20:49.000000000 +0900
@@ -306,6 +306,7 @@
 #endif"
 
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS groff_top_builddir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX TTYDEVDIRS OTHERDEVDIRS LPR LP LPQ PSPRINT DVIPRINT PERLPATH YACC RANLIB ac_ct_RANLIB INSTALL_INFO INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SH_SCRIPT_SED_CMD CPP EGREP LIBM LIBOBJS BROKEN_SPOOLER_FLAGS PAGE g sys_tmac_prefix tmac_wrap pnmcut pnmcrop pnmtopng gs psselect make_html make_install_html DVIFORMAT LTLIBOBJS'
+ac_subst_vars="$ac_subst_vars ICONV_CONST"
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -6037,6 +6038,104 @@
 LTLIBOBJS=$ac_ltlibobjs
 
 
+##### check for iconv
+    { echo "$as_me:$LINENO: checking for iconv declaration" >&5
+echo $ECHO_N "checking for iconv declaration... $ECHO_C" >&6; }
+    if test "${am_cv_proto_iconv+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+      cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#include <stdlib.h>
+#include <iconv.h>
+extern
+#ifdef __cplusplus
+"C"
+#endif
+#if defined(__STDC__) || defined(__cplusplus)
+size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
+#else
+size_t iconv();
+#endif
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  am_cv_proto_iconv_arg1=""
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	am_cv_proto_iconv_arg1="const"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+      am_cv_proto_iconv="extern size_t iconv (iconv_t cd, $am_cv_proto_iconv_arg1 char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);"
+fi
+
+    am_cv_proto_iconv=`echo "$am_cv_proto_iconv" | tr -s ' ' | sed -e 's/( /(/'`
+    { echo "$as_me:$LINENO: result: ${ac_t:-
+         }$am_cv_proto_iconv" >&5
+echo "${ECHO_T}${ac_t:-
+         }$am_cv_proto_iconv" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define ICONV_CONST $am_cv_proto_iconv_arg1
+_ACEOF
+
+if test -z "$am_cv_proto_iconv_arg1"; then
+  ICONV_CONST=""
+else
+  ICONV_CONST="const"
+fi
+
+DEFS="$DEFS -DICONV_CONST=$ICONV_CONST"
+##### check for iconv
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
diff -Naur groff-1.18.1.1-debian21/src/preproc/grn/hgraph.cc groff-1.18.1.1/src/preproc/grn/hgraph.cc
--- groff-1.18.1.1-debian21/src/preproc/grn/hgraph.cc	2002-10-07 13:49:03.000000000 +0900
+++ groff-1.18.1.1/src/preproc/grn/hgraph.cc	2011-12-03 03:53:30.000000000 +0900
@@ -43,7 +43,7 @@
 extern int ybottom;
 extern int xleft;
 extern int xright;
-extern enum {
+extern enum filltype {
   OUTLINE, FILL, BOTH
 } polyfill;
 
diff -Naur groff-1.18.1.1-debian21/src/preproc/grn/main.cc groff-1.18.1.1/src/preproc/grn/main.cc
--- groff-1.18.1.1-debian21/src/preproc/grn/main.cc	2002-02-10 10:22:12.000000000 +0900
+++ groff-1.18.1.1/src/preproc/grn/main.cc	2011-12-03 03:53:30.000000000 +0900
@@ -160,7 +160,7 @@
 double scale = 1.0;		/* no scaling, default */
 int defpoint = 0;		/* flag for pointsize scaling */
 char *defstipple = (char *) 0;
-enum {
+enum filltype {
   OUTLINE, FILL, BOTH
 } polyfill;
 
diff -Naur groff-1.18.1.1-debian21/src/xditview/DviChar.c groff-1.18.1.1/src/xditview/DviChar.c
--- groff-1.18.1.1-debian21/src/xditview/DviChar.c	2011-12-03 03:52:57.000000000 +0900
+++ groff-1.18.1.1/src/xditview/DviChar.c	2011-12-03 03:53:30.000000000 +0900
@@ -6,6 +6,7 @@
  */
 
 #include <stdlib.h>
+#include <string.h>
 #include "config.h"
 #include "DviChar.h"
 #include "encoding.h"
diff -Naur groff-1.18.1.1-debian21/src/xditview/xtotroff.c groff-1.18.1.1/src/xditview/xtotroff.c
--- groff-1.18.1.1-debian21/src/xditview/xtotroff.c	2011-12-03 03:52:57.000000000 +0900
+++ groff-1.18.1.1/src/xditview/xtotroff.c	2011-12-03 03:53:30.000000000 +0900
@@ -11,6 +11,7 @@
 #include	<unistd.h>
 #include	<stdlib.h>
 #include	<fcntl.h>
+#include	<string.h>
 #include	"config.h"
 #include	"XFontName.h"
 #include	"DviChar.h"