diff -ruN miktex-24.4-orig/BuildUtilities/c4p/CMakeLists.txt miktex-24.4/BuildUtilities/c4p/CMakeLists.txt
--- miktex-24.4-orig/BuildUtilities/c4p/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/BuildUtilities/c4p/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -11,6 +11,7 @@
 include_directories(BEFORE
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
+    ${FMT_INCLUDE_DIR}
 )
 
 set(c4p_sources
diff -ruN miktex-24.4-orig/CMakeLists.txt miktex-24.4/CMakeLists.txt
--- miktex-24.4-orig/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -22,7 +22,7 @@
 
 if(APPLE)
     set(CMAKE_OSX_DEPLOYMENT_TARGET
-        "10.12"
+        "10.9"
         CACHE STRING
         "The earliest version of MacOS X that MiKTeX will run on."
     )
@@ -141,8 +141,12 @@
     set(MIKTEX_HOMEBREW TRUE)
 endif()
 
-if(APPLE AND NOT MIKTEX_HOMEBREW)
-    set(MIKTEX_MACOS_BUNDLE TRUE)
+if(CMAKE_INSTALL_PREFIX STREQUAL "@FINK_PREFIX@")
+    set(MIKTEX_FINK TRUE)
+endif()
+
+if(APPLE AND MIKTEX_FINK)
+    set(MIKTEX_MACOS_BUNDLE FALSE)
 endif()
 
 ###############################################################################
@@ -150,7 +154,9 @@
 
 if(CMAKE_INSTALL_PREFIX STREQUAL "/usr")
     set(MIKTEX_SELF_CONTAINED_DEFAULT FALSE)
-elseif(CMAKE_INSTALL_PREFIX STREQUAL "/usr/local")
+elseif(CMAKE_INSTALL_PREFIX STREQUAL "@FINK_PREFIX@")
+    set(MIKTEX_SELF_CONTAINED_DEFAULT FALSE)
+elseif(MIKTEX_FINK)
     set(MIKTEX_SELF_CONTAINED_DEFAULT FALSE)
 elseif(MIKTEX_HOMEBREW)
     set(MIKTEX_SELF_CONTAINED_DEFAULT FALSE)
@@ -2354,12 +2360,6 @@
         )
     endforeach()
     foreach(f ${bootstrapping_files})
-        add_custom_command(
-            OUTPUT
-                ${CMAKE_CURRENT_BINARY_DIR}/${f}
-            COMMAND
-                ${CURL_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${f} -fsSL ${remote_repository}/${f}
-        )
         list(APPEND generated_bootstrapping_files ${CMAKE_CURRENT_BINARY_DIR}/${f})
     endforeach()
     add_custom_target(gen-bootstrapping-files ALL DEPENDS
diff -ruN miktex-24.4-orig/Documentation/CMakeLists.txt miktex-24.4/Documentation/CMakeLists.txt
--- miktex-24.4-orig/Documentation/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Documentation/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -15,7 +15,7 @@
 set(PROMPTWIN "C:\&gt; ")
 
 if(MIKTEX_UNIX_ALIKE)
-    set(COMMONINSTALL "/usr/local/share/miktex-texmf")
+    set(COMMONINSTALL "@FINK_PREFIX@/share/miktex-texmf")
     set(USERDATA "~/.miktex/texmfs/data")
     set(USERINSTALL "~/.miktex/texmfs/install")
     set(EXESUFFIX "")
diff -ruN miktex-24.4-orig/Libraries/3rd/lua53/source/src/luaconf.h miktex-24.4/Libraries/3rd/lua53/source/src/luaconf.h
--- miktex-24.4-orig/Libraries/3rd/lua53/source/src/luaconf.h	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/3rd/lua53/source/src/luaconf.h	2024-06-01 15:40:17.000000000 -0500
@@ -203,7 +203,7 @@
 
 #else			/* }{ */
 
-#define LUA_ROOT	"/usr/local/"
+#define LUA_ROOT	"@FINK_PREFIX@"
 #define LUA_LDIR	LUA_ROOT "share/lua/" LUA_VDIR "/"
 #define LUA_CDIR	LUA_ROOT "lib/lua/" LUA_VDIR "/"
 #define LUA_PATH_DEFAULT  \
diff -ruN miktex-24.4-orig/Libraries/3rd/luajit/source/src/luaconf.h miktex-24.4/Libraries/3rd/luajit/source/src/luaconf.h
--- miktex-24.4-orig/Libraries/3rd/luajit/source/src/luaconf.h	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/3rd/luajit/source/src/luaconf.h	2024-06-01 15:40:17.000000000 -0500
@@ -35,7 +35,7 @@
 #ifndef LUA_LMULTILIB
 #define LUA_LMULTILIB	"lib"
 #endif
-#define LUA_LROOT	"/usr/local"
+#define LUA_LROOT	""@FINK_PREFIX@"
 #define LUA_LUADIR	"/lua/5.1/"
 #define LUA_LJDIR	"/luajit-2.1.0-beta1/"
 
diff -ruN miktex-24.4-orig/Libraries/3rd/poppler/source/poppler/GlobalParams.cc miktex-24.4/Libraries/3rd/poppler/source/poppler/GlobalParams.cc
--- miktex-24.4-orig/Libraries/3rd/poppler/source/poppler/GlobalParams.cc	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/3rd/poppler/source/poppler/GlobalParams.cc	2024-06-01 15:40:17.000000000 -0500
@@ -1382,7 +1382,7 @@
                        { "ZapfDingbats", "d050000l.pfb", nullptr },
                        { nullptr, nullptr, nullptr } };
 
-static const char *displayFontDirs[] = { "/usr/share/ghostscript/fonts", "/usr/local/share/ghostscript/fonts", "/usr/share/fonts/default/Type1", "/usr/share/fonts/default/ghostscript", "/usr/share/fonts/type1/gsfonts", nullptr };
+static const char *displayFontDirs[] = { "@FINK_PREFIX@/share/ghostscript/fonts", "@FINK_PREFIX@/lib/X11/fonts/ghostscript/Type1", "@FINK_PREFIX@/share/fonts/default/ghostscript", "@FINK_PREFIX@/share/fonts/type1/gsfonts", nullptr };
 
 void GlobalParams::setupBaseFonts(const char *dir)
 {
diff -ruN miktex-24.4-orig/Libraries/3rd/xpdf/source/xpdf/GlobalParams.cc miktex-24.4/Libraries/3rd/xpdf/source/xpdf/GlobalParams.cc
--- miktex-24.4-orig/Libraries/3rd/xpdf/source/xpdf/GlobalParams.cc	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/3rd/xpdf/source/xpdf/GlobalParams.cc	2024-06-01 15:40:17.000000000 -0500
@@ -113,11 +113,10 @@
 };
 #else
 static const char *displayFontDirs[] = {
-  "/usr/share/ghostscript/fonts",
-  "/usr/local/share/ghostscript/fonts",
-  "/usr/share/fonts/default/Type1",
-  "/usr/share/fonts/default/ghostscript",
-  "/usr/share/fonts/type1/gsfonts",
+  "@FINK_PREFIX@/share/ghostscript/fonts",
+  "@FINK_PREFIX@/lib/X11/fonts/ghostscript/Type1",
+  "@FINK_PREFIX@/share/fonts/default/ghostscript",
+  "@FINK_PREFIX@/share/fonts/type1/gsfonts",
 #if defined(__sun) && defined(__SVR4)
   "/usr/sfw/share/ghostscript/fonts",
 #endif
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Core/Session/unx/unxStartupConfig.cpp miktex-24.4/Libraries/MiKTeX/Core/Session/unx/unxStartupConfig.cpp
--- miktex-24.4-orig/Libraries/MiKTeX/Core/Session/unx/unxStartupConfig.cpp	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Core/Session/unx/unxStartupConfig.cpp	2024-06-01 15:40:17.000000000 -0500
@@ -41,12 +41,12 @@
  * UserConfig:    $HOME/.miktex/texmfs/config
  * UserData:      $HOME/.miktex/texmfs/data
  * UserInstall:   $HOME/.miktex/texmfs/install
- * CommonConfig:  /var/lib/miktex-texmf           (DEB,RPM)
- *             or /var/local/lib/miktex-texmf     (TGZ)
+ * CommonConfig:  @FINK_PREFIX@/var/lib/miktex-texmf           (DEB,RPM)
+ *             or @FINK_PREFIX@/var/lib/miktex-texmf     (TGZ)
  *             or /opt/miktex/texmfs/config       (self-contained)
- * CommonData:    /var/cache/miktex-texmf         (DEB,RPM,TGZ)
+ * CommonData:    @FINK_PREFIX@/var/cache/miktex-texmf         (DEB,RPM,TGZ)
  *             or /opt/miktex/texmfs/data         (self-contained)
- * CommonInstall: /usr/local/share/miktex-texmf   (DEB,RPM,TGZ)
+ * CommonInstall: @FINK_PREFIX@/share/miktex-texmf   (DEB,RPM,TGZ)
  *             or /opt/miktex/texmfs/install      (self-contained)
  */
 InternalStartupConfig SessionImpl::DefaultConfig(MiKTeXConfiguration config, VersionNumber setupVersion, const PathName& commonPrefixArg, const PathName& userPrefixArg)
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Core/shared/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Core/shared/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Core/shared/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Core/shared/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -125,7 +125,7 @@
     endif()
 endif()
 
-if(MIKTEX_MACOS_BUNDLE)
+if(MIKTEX_MACOS_BUNDLE OR MIKTEX_FINK)
     target_link_libraries(${core_dll_name}
         PRIVATE
             "-framework CoreServices"
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Core/static/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Core/static/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Core/static/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Core/static/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -91,7 +91,7 @@
     endif()
 endif()
 
-if(MIKTEX_MACOS_BUNDLE)
+if(MIKTEX_MACOS_BUNDLE OR MIKTEX_FINK)
     target_link_libraries(${core_lib_name}
         PUBLIC
             "-framework CoreServices"
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Extractor/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Extractor/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Extractor/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Extractor/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -24,6 +24,7 @@
 include_directories(BEFORE
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
+  ${FMT_INCLUDE_DIR}
 )
 
 set(public_include_directories
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Locale/shared/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Locale/shared/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Locale/shared/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Locale/shared/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -57,7 +57,7 @@
     ${res_dll_name}
 )
 
-if(MIKTEX_MACOS_BUNDLE)
+if(MIKTEX_MACOS_BUNDLE OR MIKTEX_FINK)
   target_link_libraries(${loc_dll_name}
     PRIVATE
       ${CoreFoundation}
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Locale/static/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Locale/static/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Locale/static/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Locale/static/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -41,7 +41,7 @@
     ${res_lib_name}
 )
 
-if(MIKTEX_MACOS_BUNDLE)
+if(MIKTEX_MACOS_BUNDLE OR MIKTEX_FINK)
   target_link_libraries(${loc_lib_name}
     PRIVATE
       ${CoreFoundation}
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Setup/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Setup/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Setup/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Setup/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -13,6 +13,7 @@
 include_directories(BEFORE
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
+    ${FMT_INCLUDE_DIR}
 )
 
 set(public_include_directories
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Setup/unx/unxSetupService.cpp miktex-24.4/Libraries/MiKTeX/Setup/unx/unxSetupService.cpp
--- miktex-24.4-orig/Libraries/MiKTeX/Setup/unx/unxSetupService.cpp	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Setup/unx/unxSetupService.cpp	2024-06-01 15:40:17.000000000 -0500
@@ -21,7 +21,7 @@
 PathName SetupService::GetDefaultCommonInstallDir()
 {
     // TODO
-    return PathName("/usr/local/miktex");
+    return PathName("@FINK_PREFIX@/miktex");
 }
 
 PathName SetupService::GetDefaultUserInstallDir()
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Trace/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Trace/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Trace/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Trace/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -27,6 +27,7 @@
 include_directories(BEFORE
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
+  ${FMT_INCLUDE_DIR}
 )
 
 set(public_include_directories
diff -ruN miktex-24.4-orig/Libraries/MiKTeX/Util/CMakeLists.txt miktex-24.4/Libraries/MiKTeX/Util/CMakeLists.txt
--- miktex-24.4-orig/Libraries/MiKTeX/Util/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Libraries/MiKTeX/Util/CMakeLists.txt	2024-06-01 15:42:45.000000000 -0500
@@ -16,6 +16,7 @@
 include_directories(BEFORE
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
+    ${FMT_INCLUDE_DIR}
 )
 
 set(public_include_directories
diff -ruN miktex-24.4-orig/Programs/DviWare/dvipdfm-x/source/dpxfile.c miktex-24.4/Programs/DviWare/dvipdfm-x/source/dpxfile.c
--- miktex-24.4-orig/Programs/DviWare/dvipdfm-x/source/dpxfile.c	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/DviWare/dvipdfm-x/source/dpxfile.c	2024-06-01 15:40:17.000000000 -0500
@@ -82,7 +82,7 @@
 static int
 miktex_get_acrobat_font_dir (char *buf)
 {
-  strcpy(buf, "/usr/share/ghostscript/Resource/Font/");
+  strcpy(buf, "@FINK_PREFIX@/share/ghostscript/Resource/Font/");
   return  1;
 }
 
diff -ruN miktex-24.4-orig/Programs/Editors/TeXworks/miktex/DefaultBinaryPaths.h miktex-24.4/Programs/Editors/TeXworks/miktex/DefaultBinaryPaths.h
--- miktex-24.4-orig/Programs/Editors/TeXworks/miktex/DefaultBinaryPaths.h	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/Editors/TeXworks/miktex/DefaultBinaryPaths.h	2024-06-01 15:40:17.000000000 -0500
@@ -1 +1 @@
-#define DEFAULT_BIN_PATHS "/usr/local/bin"
+#define DEFAULT_BIN_PATHS "@FINK_PREFIX@/bin"
diff -ruN miktex-24.4-orig/Programs/Editors/TeXworks/source/src/TWUtils.cpp miktex-24.4/Programs/Editors/TeXworks/source/src/TWUtils.cpp
--- miktex-24.4-orig/Programs/Editors/TeXworks/source/src/TWUtils.cpp	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/Editors/TeXworks/source/src/TWUtils.cpp	2024-06-01 15:40:17.000000000 -0500
@@ -53,9 +53,9 @@
 #include <QStringList>
 #include <QTextCodec>
 
-#if defined(Q_OS_UNIX) && !defined(Q_OS_DARWIN)
+#if defined(Q_OS_UNIX) || defined(Q_OS_DARWIN)
 #ifndef TW_HELPPATH
-#define TW_HELPPATH "/usr/local/share/texworks-help"
+#define TW_HELPPATH "@FINK_PREFIX@/share/texworks-help"
 #endif
 #endif
 
diff -ruN miktex-24.4-orig/Programs/Editors/TeXworks/source/src/utils/ResourcesLibrary.cpp miktex-24.4/Programs/Editors/TeXworks/source/src/utils/ResourcesLibrary.cpp
--- miktex-24.4-orig/Programs/Editors/TeXworks/source/src/utils/ResourcesLibrary.cpp	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/Editors/TeXworks/source/src/utils/ResourcesLibrary.cpp	2024-06-01 15:40:17.000000000 -0500
@@ -35,10 +35,10 @@
 
 QString ResourcesLibrary::m_portableLibPath;
 
-#if defined(Q_OS_UNIX) && !defined(Q_OS_DARWIN)
+#if defined(Q_OS_UNIX) || defined(Q_OS_DARWIN)
 // compile-time default paths - customize by defining in the .pro file
 #	ifndef TW_DICPATH
-#		define TW_DICPATH "/usr/share/hunspell" PATH_LIST_SEP "/usr/share/myspell/dicts"
+#		define TW_DICPATH "@FINK_PREFIX@/share/hunspell" PATH_LIST_SEP "/usr/share/myspell/dicts"
 #	endif
 #endif
 
diff -ruN miktex-24.4-orig/Programs/MiKTeX/miktex/topics/links/commands/LinksManager.cpp miktex-24.4/Programs/MiKTeX/miktex/topics/links/commands/LinksManager.cpp
--- miktex-24.4-orig/Programs/MiKTeX/miktex/topics/links/commands/LinksManager.cpp	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/MiKTeX/miktex/topics/links/commands/LinksManager.cpp	2024-06-01 15:40:17.000000000 -0500
@@ -332,7 +332,7 @@
 #if defined(MIKTEX_WINDOWS)
   { "arctrl" MIKTEX_EXE_FILE_SUFFIX, { "pdfclose", "pdfdde", "pdfopen" } },
 #endif
-  { "cjklatex" MIKTEX_EXE_FILE_SUFFIX, { "bg5pluslatex", "bg5pluspdflatex", "bg5latex", "bg5pdflatex", "bg5platex", "bg5ppdflatex", "cef5latex", "cef5pdflatex", "ceflatex", "cefpdflatex", "cefslatex", "cefspdflatex", "gbklatex", "gbkpdflatex", "sjislatex", "sjispdflatex" } },
+  { "cjklatex" MIKTEX_EXE_FILE_SUFFIX, { "bg5+latex", "bg5+pdflatex", "bg5latex", "bg5pdflatex", "bg5+latex", "bg5+pdflatex", "cef5latex", "cef5pdflatex", "ceflatex", "cefpdflatex", "cefslatex", "cefspdflatex", "gbklatex", "gbkpdflatex", "sjislatex", "sjispdflatex" } },
 
   { MIKTEX_AFM2TFM_EXE, { "afm2tfm" } },
 #if defined(MIKTEX_WINDOWS)
diff -ruN miktex-24.4-orig/Programs/TeXAndFriends/luatex/CMakeLists.txt miktex-24.4/Programs/TeXAndFriends/luatex/CMakeLists.txt
--- miktex-24.4-orig/Programs/TeXAndFriends/luatex/CMakeLists.txt	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/TeXAndFriends/luatex/CMakeLists.txt	2024-06-01 15:40:17.000000000 -0500
@@ -21,6 +21,10 @@
     ${CMAKE_SOURCE_DIR}/${MIKTEX_REL_SYNCTEX_SOURCE_DIR}
 )
 
+include_directories(AFTER
+    ${FMT_INCLUDE_DIR}
+)
+
 add_definitions(
     -DAPPTAG=luatex
     -DMIKTEX_LUATEX
diff -ruN miktex-24.4-orig/Programs/Validation/chktex/source/OpSys.c miktex-24.4/Programs/Validation/chktex/source/OpSys.c
--- miktex-24.4-orig/Programs/Validation/chktex/source/OpSys.c	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/Programs/Validation/chktex/source/OpSys.c	2024-06-01 15:40:17.000000000 -0500
@@ -98,7 +98,7 @@
 
 #ifndef SYSCONFDIR
 #  if defined(__unix__)
-#    define SYSCONFDIR "/usr/local/lib/"
+#    define SYSCONFDIR "@FINK_PREFIX@/lib/"
 #  elif defined(__MSDOS__)
 #    define SYSCONFDIR "\\emtex\\data\\"
 #  else
diff -ruN miktex-24.4-orig/cmake/modules/RuntimePaths.cmake miktex-24.4/cmake/modules/RuntimePaths.cmake
--- miktex-24.4-orig/cmake/modules/RuntimePaths.cmake	2024-04-27 13:01:25.000000000 -0500
+++ miktex-24.4/cmake/modules/RuntimePaths.cmake	2024-06-01 15:40:17.000000000 -0500
@@ -17,10 +17,10 @@
 endif()
 
 if(MIKTEX_UNIX_ALIKE)
-    set(MIKTEX_SYSTEM_ETC_FONTS_CONFD_DIR "/etc/fonts/conf.d" CACHE PATH "System-wide directory for font configuration data.")
-    set(MIKTEX_SYSTEM_LINK_TARGET_DIR "/usr/local/bin" CACHE PATH "System-wide directory in which to create symbolic links to MiKTeX binaries.")
-    set(MIKTEX_SYSTEM_VAR_CACHE_DIR "/var/cache" CACHE PATH "Directory for application cache data.")
-    set(MIKTEX_SYSTEM_VAR_LIB_DIR "/var/lib" CACHE PATH "Directory for state information.")
-    set(MIKTEX_SYSTEM_VAR_LOG_DIR "/var/log" CACHE PATH "Directory for log files.")
+    set(MIKTEX_SYSTEM_ETC_FONTS_CONFD_DIR "@FINK_PREFIX@/etc/fonts/conf.d" CACHE PATH "System-wide directory for font configuration data.")
+    set(MIKTEX_SYSTEM_LINK_TARGET_DIR "@FINK_PREFIX@/bin" CACHE PATH "System-wide directory in which to create symbolic links to MiKTeX binaries.")
+    set(MIKTEX_SYSTEM_VAR_CACHE_DIR "@FINK_PREFIX@/var/cache" CACHE PATH "Directory for application cache data.")
+    set(MIKTEX_SYSTEM_VAR_LIB_DIR "@FINK_PREFIX@/var/lib" CACHE PATH "Directory for state information.")
+    set(MIKTEX_SYSTEM_VAR_LOG_DIR "@FINK_PREFIX@/var/log" CACHE PATH "Directory for log files.")
     set(MIKTEX_USER_LINK_TARGET_DIR "~/bin" CACHE STRING "Per-user directory in which to create symbolic links to MiKTeX binaries.")
 endif()