diff -ruN scribus-1.4.8-orig/CMakeLists.txt scribus-1.4.8/CMakeLists.txt
--- scribus-1.4.8-orig/CMakeLists.txt	2019-03-05 16:44:45.000000000 -0600
+++ scribus-1.4.8/CMakeLists.txt	2022-09-03 05:35:10.000000000 -0500
@@ -123,6 +123,30 @@
 
 IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1))
 	STRING(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
+	if (_apple_ver EQUAL "20")
+		message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, X86")
+		set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, X86")
+	ENDIF (_apple_ver EQUAL "20")
+	if (_apple_ver EQUAL "19")
+		MESSAGE(STATUS "Found macOS Catalina Target: Apple, 64 bit, X86")
+		SET(APPLE_10_15_X 1 CACHE TYPE BOOL)
+	ENDIF (_apple_ver EQUAL "19")
+	IF (_apple_ver EQUAL "18")
+		MESSAGE(STATUS "Found macOS Mojave Target: Apple, 64 bit, X86")
+		SET(APPLE_10_14_X 1 CACHE TYPE BOOL)
+	ENDIF (_apple_ver EQUAL "18")
+	IF (_apple_ver EQUAL "17")
+		MESSAGE(STATUS "Found macOS High Sierra Target: Apple, 64 bit, X86")
+		SET(APPLE_10_13_X 1 CACHE TYPE BOOL)
+	ENDIF (_apple_ver EQUAL "17")
+	IF (_apple_ver EQUAL "16")
+		MESSAGE(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
+		SET(APPLE_10_12_X 1 CACHE TYPE BOOL)
+	ENDIF (_apple_ver EQUAL "16")
+	IF (_apple_ver EQUAL "15")
+		MESSAGE(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
+		SET(APPLE_10_11_X 1 CACHE TYPE BOOL)
+	ENDIF (_apple_ver EQUAL "15")
 	IF (_apple_ver EQUAL "14")
 		MESSAGE(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
 		SET(APPLE_10_10_X 1 CACHE TYPE BOOL)
@@ -437,6 +461,36 @@
 
 #Based on our build type, setup our build options
 IF(APPLE)
+	IF(APPLE_10_15_X)
+		SET(OSXMINVER "10.15" CACHE TYPE STRING)
+		IF (WANT_OSX_SDK)
+			SET(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk")
+		ENDIF (WANT_OSX_SDK)
+	ENDIF(APPLE_10_15_X)
+	IF(APPLE_10_14_X)
+		SET(OSXMINVER "10.14" CACHE TYPE STRING)
+		IF (WANT_OSX_SDK)
+			SET(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk")
+		ENDIF (WANT_OSX_SDK)
+	ENDIF(APPLE_10_14_X)
+	IF(APPLE_10_13_X)
+		SET(OSXMINVER "10.13" CACHE TYPE STRING)
+		IF (WANT_OSX_SDK)
+			SET(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk")
+		ENDIF (WANT_OSX_SDK)
+	ENDIF(APPLE_10_13_X)
+	IF(APPLE_10_12_X)
+		SET(OSXMINVER "10.12" CACHE TYPE STRING)
+		IF (WANT_OSX_SDK)
+			SET(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk")
+		ENDIF (WANT_OSX_SDK)
+	ENDIF(APPLE_10_12_X)
+	IF(APPLE_10_11_X)
+		SET(OSXMINVER "10.11" CACHE TYPE STRING)
+		IF (WANT_OSX_SDK)
+			SET(CMAKE_OSX_SYSROOT "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk")
+		ENDIF (WANT_OSX_SDK)
+	ENDIF(APPLE_10_11_X)
 	IF(APPLE_10_10_X)
 		SET(OSXMINVER "10.10" CACHE TYPE STRING)
 		IF (WANT_OSX_SDK)
@@ -496,15 +550,15 @@
 			IF (WANT_OSX_SDK)
 				SET(CMAKE_OSX_DEPLOYMENT_TARGET "${OSXMINVER}")
 			ENDIF (WANT_OSX_SDK)
-			IF(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X)
+			IF(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X OR APPLE_10_11_X OR APPLE_10_12_X OR APPLE_10_13_X OR APPLE_10_14_X OR APPLE_10_15_X OR APPLE_11_00_X)
 				MESSAGE("Setting x86_64 Architecture for OSX Build/Bundle")
 				SET(CMAKE_OSX_ARCHITECTURES "x86_64" )
 				SET(CMAKE_TRY_COMPILE_OSX_ARCHITECTURES "x86_64" )
-			ELSE(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X)
+			ELSE(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X OR APPLE_10_11_X OR APPLE_10_12_X OR APPLE_10_13_X OR APPLE_10_14_X OR APPLE_10_15_X OR APPLE_11_00_X)
 				MESSAGE("Setting i386 Architecture for OSX Build/Bundle")
 				SET(CMAKE_OSX_ARCHITECTURES "i386" )
 				SET(CMAKE_TRY_COMPILE_OSX_ARCHITECTURES "i386" )
-			ENDIF(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X)
+			ENDIF(APPLE_10_6_X OR APPLE_10_7_X OR APPLE_10_8_X OR APPLE_10_9_X OR APPLE_10_10_X OR APPLE_10_11_X OR APPLE_10_12_X OR APPLE_10_13_X OR APPLE_10_14_X OR APPLE_10_15_X OR APPLE_11_00_X)
 		ENDIF(ARCH_PPC OR ARCH_PPC_64)
 	ENDIF(WANT_UNIVERSAL_BUNDLE)
 	MESSAGE(STATUS "${CMAKE_OSX_ARCHITECTURES} ${CMAKE_OSX_SYSROOT}")
diff -ruN scribus-1.4.8-orig/scribus/gtdialogs.cpp scribus-1.4.8/scribus/gtdialogs.cpp
--- scribus-1.4.8-orig/scribus/gtdialogs.cpp	2019-03-05 16:44:41.000000000 -0600
+++ scribus-1.4.8/scribus/gtdialogs.cpp	2022-09-03 05:35:27.000000000 -0500
@@ -160,7 +160,7 @@
 	if (imp != "false")
 	{
 		res = imp;
-		if (importers.contains(res) > 0)
+		if (importers.contains(res))
 			ok = true;
 	}
 	